Subject: Offline Message from مها الغامدي: ‏I asked the site and paid the full amount,
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 03 Jul 2020 09:47:43 -0000

From: مها الغامدي <[email-masked]>
Phone: 
Location: Khobar, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/contact-us/
Department: 

‏I asked the site and paid the full amount, and the request came to me incomplete and I did not receive a bath robes. I daily call and there is no employee who speaks Arabic to solve my problem. Please contact me as necessary. This is my mobile number. I want an employee who speaks Arabic to call me to solve the problem because necessary

‏My mobile phone number
+966555081184

‏Order number
200299761

----
Zopim
https://www.zopim.com